# GitLab CI configuration for shared Ansible roles.

# Run ansible-lint tool over all roles.
lint:
  # We start with our base Ansible image but override the entrypoint so that
  # GitLab CI may run commands within it.
  image:
    name: registry.gitlab.developers.cam.ac.uk/uis/devops/infra/dockerimages/ansible-playbook:${ANSIBLE_VERSION}
    entrypoint: [""]

  script:
    # Install ansible-lint tool
    - pip3 install ansible-lint==6.20.0

    # Run ansible-lint over all role directories in the roles/ directory.
    - >-
      find ./roles -not -path '*/\.*' -not -path "*/docker-swarm/*" -mindepth 1 -type f -name '*.y*ml' -print0 |
      xargs -I ROLE -t -0 -n1 ansible-lint ROLE

  variables:
    # The version of the Ansible image we run ansible-lint within. The exact
    # version of Ansible which is installed in the image should not affect the
    # output of ansible-lint so it is safe to set this to the latest version.
    ANSIBLE_VERSION: "7"
